<?xml version="1.0" encoding="UTF-8"?>
<include xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:module:Magento_Config:etc/system_include.xsd">
    <section id="refilo_google_recaptcha" translate="label" sortOrder="160" showInDefault="1" showInWebsite="1" showInStore="1">
        <label>Google reCaptcha</label>
        <tab>refilo</tab>
        <resource>FiloBlu_Refilo::refilo_config</resource>
        <group id="general" translate="label" type="text" sortOrder="1" showInDefault="1" showInWebsite="0" showInStore="0">
            <field id="enabled" translate="label comment" type="select" sortOrder="1" showInDefault="1" showInWebsite="0" showInStore="0">
                <label>Enabled</label>
                <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
            </field>
            <field id="site_key" translate="label" type="text" sortOrder="10" showInDefault="1" showInWebsite="0" showInStore="0">
                <label>Site Key</label>
            </field>
            <field id="secret_key" translate="label" type="text" sortOrder="20" showInDefault="1" showInWebsite="0" showInStore="0">
                <label>Secret Key</label>
            </field>
            <field id="api_enabled" translate="label comment" sortOrder="30" type="textarea" showInStore="0" showInWebsite="0" showInDefault="1">
                <label>APIs to enable</label>
                <comment><![CDATA[Each URL must be on new line.]]></comment>
            </field>
            <field id="bypass_ips" translate="label comment" sortOrder="40" type="textarea" showInStore="0" showInWebsite="0" showInDefault="1">
                <label>Bypass IPs</label>
                <comment><![CDATA[Each IP must be on new line.]]></comment>
            </field>
            <field id="score" translate="label comment" sortOrder="50" type="select" showInStore="0" showInWebsite="0" showInDefault="1">
                <label>Score threshold</label>
                <options>
                    <option label="0.0">0.0</option>
                    <option label="0.1">0.1</option>
                    <option label="0.2">0.2</option>
                    <option label="0.3">0.3</option>
                    <option label="0.4">0.4</option>
                    <option label="0.5">0.5</option>
                    <option label="0.6">0.6</option>
                    <option label="0.7">0.7</option>
                    <option label="0.8">0.8</option>
                    <option label="0.9">0.9</option>
                    <option label="1.0">1.0</option>
                </options>
            </field>
        </group>
    </section>
</include>
